Skip to main content

Workspace Group

View as Markdown

Group object​

displayNamestringPublic Preview

String that represents a human-readable group name

entitlementsarray of objectPublic Preview

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
externalIdstring<= 64 charactersPublic Preview

external_id should be unique for identifying groups

groupsarray of objectPublic Preview
Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
idstringint64Public Preview

<Databricks> group ID

membersarray of objectPublic Preview
Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
rolesarray of objectPublic Preview

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
schemasarray of stringPublic Preview

The schema of the group.

Values:

  • GROUP_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:schemas:core:2.0:Group

Get group details Public Preview​

GET /api/2.0/preview/scim/v2/Groups/{id}

Gets the information for a specific group in the <Databricks> workspace.

API scopes: scim

Parameters​

idstringint64Requiredpath

Unique ID for a group in the <Databricks> workspace.

Response​

Returns the Group object.

List group details Public Preview​

GET /api/2.0/preview/scim/v2/Groups

Gets all details of the groups associated with the <Databricks> workspace.

API scopes: scim

Parameters​

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

Examples:

  • displayName co "foo" and displayName co "bar" : Group whose displayName contains foo and displayName contains bar.
  • displayName co "foo" : Groups whose displayName contains foo.
  • displayName eq "admins" : Groups whose displayName equals admins.
  • displayName ne "baz" : Groups whose displayName not equals baz.
  • displayName co "foo" or displayName co "bar" : Group whose displayName contains foo or displayName contains bar.
  • displayName sw "bar" : Groups whose displayName starts with bar.
attributesstringquery

Comma-separated list of attributes to return in response.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

startIndexint64query

Specifies the index of the first result. First item is number 1.

countint64<= 100query

Desired number of results per page.

sortBystringquery

Attribute to sort the results.

sortOrderstringquery

The order to sort the results.

Values:

  • ORDER_UNSPECIFIED
  • ascending
  • descending

Response​

Returns a list of Group objects.

Create a new group Public Preview​

POST /api/2.0/preview/scim/v2/Groups

Creates a group in the <Databricks> workspace with a unique name, using the supplied group details.

API scopes: scim

Request body​

displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstringint64

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values:

  • GROUP_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:schemas:core:2.0:Group

Response​

Returns the Group object.

Replace a group Public Preview​

PUT /api/2.0/preview/scim/v2/Groups/{id}

Updates the details of a group by replacing the entire group entity.

API scopes: scim

Parameters​

idstringint64Requiredpath

<Databricks> group ID

Request body​

displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values:

  • GROUP_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:schemas:core:2.0:Group

Delete a group Public Preview​

DELETE /api/2.0/preview/scim/v2/Groups/{id}

Deletes a group from the <Databricks> workspace.

API scopes: scim

Parameters​

idstringint64Requiredpath

Unique ID for a group in the <Databricks> workspace.

Update group details Public Preview​

PATCH /api/2.0/preview/scim/v2/Groups/{id}

Partially updates the details of a group.

API scopes: scim

Parameters​

idstringint64Requiredpath

Unique ID in the <Databricks> workspace.

Request body​

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values:

  • PATCH_OP_UNSPECIFIED
  • add
  • remove
  • replace
pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values:

  • PATCH_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:api:messages:2.0:PatchOp